Subject: Re: platform/board removal update

From: Marcelo Tosatti <[email-masked]>
Date: Tue, 26 Jul 2005 07:05:00 -0300

On Tue, Jul 26, 2005 at 09:43:43AM -0500, Kumar Gala wrote:
> 
> On Jul 26, 2005, at 9:35 AM, Dan Malek wrote:
> 
> >
> >On Jul 26, 2005, at 9:01 AM, Kumar Gala wrote:
> >
> >
> >>All the other systems (apus, gemini, rpxcllf) were more effort than I
> >>was wanting to deal with.
> >>
> >
> >Why?  The rpxcllf worked not long ago.  What happened to the  
> >courtesy of
> >the past when such updates were applied to all platforms such they
> >would at least build?  After such changes, if there is still a  
> >problem,
> >the
> >person should at least contact the maintainer to get it resolved.  I
> >don't
> >appreciate being demanded to fix something within a short period of
> >time that someone else broke or else everything I've done in the past
> >will be discarded.
> 
> Well, I think its reasonable amount of time.  We are talking about  
> 4-6 months between now and when a 2.6.15 is likely to get released.   
> I'm not 100% sure who broken rpxcllf, but the issue seems to be with  
> the 8xx_io/fec.c driver so it should be resolved with panto's updated  
> driver.

8xx_io/fec.c is still using v2.4's workqueue infrastructure but other than
that its working fine. 

The fix will be pushed upstream ASAP.

BTW, we should schedule 8xx_io/fec.c for removal, but before that we ought to 
test all supported PHY's on the new driver.

Aris was talking to me about this on OLS. Aris, what are the PHY's not supported
by Panto's driver again? We should build a list of those and ask around for
testers.

> I'm just trying to get us back into a sane state and hopefully we  
> will regress building of all our defconfigs more often to catch  
> things sooner.